import type {MDXComponents} from 'mdx/types'
import {merge} from './lib/utils'

export function useMDXComponents(): MDXComponents {
  return {
    wrapper: props => (
      <article
        {...props}
        className={merge(
          `prose max-w-none`,
          props.className,
        )}>
        {props.children}
      </article>
    ),
  }
}
